Get Order status
There are two ways to get this done.
- Listening for payment webhooks: We covered how to create a webhook listener here in the getting setup guide - if you haven't done this already, go back to this step to get ready to receive webhooks.
- Calling get order-details API (API link):
You can retrieve directly the latest status by specifying the order ID as a path parameter.
curl --location 'https://sandbox-api.transfi.com/v3/orders/OR-2512221500071811800' \ --header 'mid: SAH1N3_NA_NA' \ --header 'Authorization: Basic =='{ "status": "success", "data": { "id": "OR-2509301734555691983", "status": "fund_processing", "type": "payout", "purposeCode": "personal", "source": { "currency": "USDT", "amount": "12.481217", "paymentType": "bank_transfer" }, "destination": { "currency": "EUR", "amount": "10" }, "userId": "UX-250910053447199", "recipientName": { "firstName": "sumanth", "lastName": "d" }, "mid": "ABCDEF_NA_NA", "fees": { "processingFee": 0.31, "fixedFee": { "totalFixedFees": 0, "totalFixedTfFees": 0, "totalFixedCxFees": 0, "fixedFeesCurrency": "EUR", "fixedFeeDetails": { "baseFeeFixedRate": 0, "tfFeeFixedRate": 0, "cxFeeFixedRate": 0, "currency": "" } }, "feeMode": "percentage" } } }{ "status": "success", "data": { "id": "OR-2509301207018202709", "status": "initiated", "type": "payout", "purposeCode": "personal", "source": { "currency": "USDT", "amount": "101.818182" }, "destination": { "currency": "USDTPOLYGON", "amount": "100", "walletAddress": "0xDEADBEEF1234567890ABCDEF1234567890ABCDEF" }, "userId": "UX-250910053447199", "mid": "ABCDEF_NA_NA", "fees": { "networkFee": 0.8, "processingFee": 1.018182, "fixedFee": { "fixedFeesCurrency": "USDT" }, "feeMode": "percentage" } } }
Updated 5 days ago